Subject: Re: bug#17467: 24.3; locate-library returning spurious path

From: Alex Kosorukoff <[email-masked]>
Date: Sun, 11 May 2014 10:43:09 -0700

You are right, I had my ~/.emacs.d in the load-path. I removed it as my
first step to resolve this issue, but then I thought that even if it were
in the load-path, returning the path to a file without a valid library
extension is an unexpected behavior for locate-library.

On Sun, May 11, 2014 at 10:37 AM, Glenn Morris <[email-masked]> wrote:

> Alex Kosorukoff wrote:
>
> > I found this issue because (locate-library "tramp") was returning
> > "/home/alex/.emacs.d/trump" not "../lisp/net/trum.elc".
>
> I assume there are some typos there...
>
> Anyway, sounds like you have your ~/.emacs.d directory in load-path?
> You are strongly encouraged not to do that.
> Newer Emacs will in fact warn you about it.
> Because you can get problems just like this one! :)
>